# Method: providers.trips.get

- [HTTP request](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.trips/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.trips/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.trips/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.trips/get#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.trips/get#body.response_body)
- [PolylineFormatType](https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.trips/get#PolylineFormatType)

Get information about a single trip.

### HTTP request

`GET https://fleetengine.googleapis.com/v1/{name=providers/*/trips/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Must be in the format `providers/{provider}/trips/{trip}`. The provider must be the Project ID (for example, `sample-cloud-project`) of the Google Cloud Project of which the service account making this call is a member. |

### Query parameters

| Parameters ||
|---|---|
| `header` | ``object (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/RequestHeader`)`` The standard Fleet Engine request header. |
| `view` | ``enum (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.trips#TripView`)`` The subset of Trip fields that should be returned and their interpretation. |
| `currentRouteSegmentVersion` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Indicates the minimum timestamp (exclusive) for which `Trip.route` or `Trip.current_route_segment` data are retrieved. If route data are unchanged since this timestamp, the route field is not set in the response. If a minimum is unspecified, the route data are always retrieved. Uses RFC 3339, where generated output will always be Z-normalized and uses 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `remainingWaypointsVersion (deprecated)` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Deprecated: `Trip.remaining_waypoints` are always retrieved. Use `remainingWaypointsRouteVersion` to control when `Trip.remaining_waypoints.traffic_to_waypoint` and `Trip.remaining_waypoints.path_to_waypoint` data are retrieved. Uses RFC 3339, where generated output will always be Z-normalized and uses 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `routeFormatType` | ``enum (`https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.trips/get#PolylineFormatType`)`` The returned current route format, `LAT_LNG_LIST_TYPE` (in `Trip.route`), or `ENCODED_POLYLINE_TYPE` (in `Trip.current_route_segment`). The default is `LAT_LNG_LIST_TYPE`. |
| `currentRouteSegmentTrafficVersion` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Indicates the minimum timestamp (exclusive) for which `Trip.current_route_segment_traffic` is retrieved. If traffic data are unchanged since this timestamp, the `currentRouteSegmentTraffic` field is not set in the response. If a minimum is unspecified, the traffic data are always retrieved. Note that traffic is only available for On-Demand Rides and Deliveries Solution customers. Uses RFC 3339, where generated output will always be Z-normalized and uses 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `remainingWaypointsRouteVersion` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Indicates the minimum timestamp (exclusive) for which `Trip.remaining_waypoints.traffic_to_waypoint` and `Trip.remaining_waypoints.path_to_waypoint` data are retrieved. If data are unchanged since this timestamp, the fields above are not set in the response. If `remainingWaypointsRouteVersion` is unspecified, traffic and path are always retrieved. Uses RFC 3339, where generated output will always be Z-normalized and uses 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/maps/documentation/mobility/fleet-engine/reference/trips/rest/v1/providers.trips#Trip`.

## PolylineFormatType

The type of polyline format.

| Enums ||
|---|---|
| `UNKNOWN_FORMAT_TYPE` | The format is unspecified or unknown. |
| `LAT_LNG_LIST_TYPE` | A list of `google.type.LatLng`. |
| `ENCODED_POLYLINE_TYPE` | A polyline encoded with a polyline compression algorithm. Decoding is not yet supported. |